Documentation Index
Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
API Endpoint: PUT /api/settings
PUT Body:
Whitelist ip list for granting access to browser admin UI
Default for all proxies whitelist ip list for granting access to them
Number of request logs to store
Enable requests statistics
{
"customer":"CUSTOMER",
"zone":"ZONE",
"password":"password",
"www_whitelist_ips":[],
"whitelist_ips":[],
"fixed_whitelist_ips":[],
"read_only":false,
"config":"/home/user/proxy_manager/.luminati.json",
"test_url":"http://lumtest.com/myip.json",
"logs":1000,
"log":"notice",
"har_limit":1024,
"request_stats":true,
"dropin":true,
"pending_ips":[],
"pending_www_ips":[],
"zagent":false,
"sync_config":true
}
curl -X PUT "http://127.0.0.1:22999/api/settings" -H "Content-Type: application/json" -d '{"zone":"ZONE","www_whitelist_ips":[],"whitelist_ips":[],"logs":1000,"request_stats":true}'